Subject: [dhcwg] dhcp request

From: "venkat devarajan" <[email-masked]>
Date: Thu, 11 Oct 2001 11:45:47 +0530

Hi,
I have a little doubt regarding the following ..
taken from the rfc 2131

the client sends out a dhcp request for allocation of a previously allocated 
netwrok address
and the rfc says
"Servers with knowledge of the client's configuration parameters respond 
with a DHCPACK message to the client.  Servers SHOULD NOT
check that the client's network address is already in use; the
client may respond to ICMP Echo Request messages at this point."

what does it mean when it says the server SHOULD NOT check if the network 
address is already in use ?
how does the server ACK the request for an ip without verifying it ?

and how does more than one server respond to this request ? is it not that a 
particular network address can only be given out by a single server( or even 
if there is more than one server for increased reliability,will the 
coherency factors not come into play) ?

regards,
Venkat

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

_______________________________________________
dhcwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/dhcwg